Skip to main content
GET
/
api
/
v1
/
customer
/
solana
/
token-balances
/
account-owner
/
{account_owner}
/
current
Current Token Balances by Owner
curl --request GET \
  --url https://api-gateway.sonarx.com/api/v1/customer/solana/token-balances/account-owner/{account_owner}/current \
  --header 'apikey: <api-key>'
{
  "offset": 0,
  "limit": 5,
  "result": [
    {
      "as_of_datetime": "2025-12-11 20:24:50.914",
      "account_owner": "4G1mhdPXaUUf2yvCHnZSejDCpPxS7ymPzjYHNfzJqdE9",
      "token_address": "EWM4k1APF9T3w4jmYM9PcCGbLgQHPKoECeg9azrnwm6A",
      "token_account": "D3jScakVydRU6GvvHa87giakZjdAv7XscjvAV31tyUVW",
      "balance": 85000103,
      "balance_source": 85000103,
      "datetime_last_updated": "2025-12-11 20:24:50.914",
      "block_slot_last_updated": 386046164
    },
    {
      "as_of_datetime": "2025-12-11 20:24:50.914",
      "account_owner": "4G1mhdPXaUUf2yvCHnZSejDCpPxS7ymPzjYHNfzJqdE9",
      "token_address": "orcaEKTdK7LKz57vaAYr9QeNsVEPfiu6QeMU1kektZE",
      "token_account": "12QCfo5SdFuyC9P5oioken91gCYK5vnRbXaDVuV5KLpZ",
      "balance": 12.956933,
      "balance_source": 12956933,
      "datetime_last_updated": "2025-12-11 20:24:50.914",
      "block_slot_last_updated": 386046164
    }
  ],
  "count": 7
}

Documentation Index

Fetch the complete documentation index at: https://docs.sonarx.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint returns live data from the Solana blockchain. For historical balances, use the standard historical endpoint.

Authorizations

apikey
string
header
required

API key for authentication

Path Parameters

account_owner
string
required

The Solana wallet owner address (base58 encoded, 32-44 characters)

Example:

"4G1mhdPXaUUf2yvCHnZSejDCpPxS7ymPzjYHNfzJqdE9"

Query Parameters

offset
integer
default:0

Number of results to skip for pagination (0-indexed)

Required range: x >= 0
limit
integer
default:10

Number of results per page (minimum: 1, maximum: 1000)

Required range: 1 <= x <= 1000

Response

Current token balances for the wallet owner

offset
integer

Number of results skipped

limit
integer

Results per page

result
object[]
count
integer

Total number of token accounts found